Subject: [apps-discuss] Request for review: 3023bis (XML media types) makes significant changes

From: [email-masked] (Henry S. Thompson)
Date: Fri, 06 Dec 2013 11:01:25 +0000

I'm one of the editors of a proposed replacement for RFC3023 [1], the
media type registration for application/xml, text/xml and 3 others.

The draft replacement [2] includes several significant changes in the
handling of information about character encoding:

 * In cases where conflicting information is supplied (from charset
   param, BOM and/or XML encoding declaration) it give a BOM, if
   present, authoritative status;

 * It recommends against the use of UTF-32.

The interoperability situation in this space is currently poor, with
some tools treating a charset parameter as authoritative, but the HTML
5 spec and most browsers preferring the BOM.  The goal of the draft is
to specify an approach which will promote convergence, while
minimising the risk of damage from backward incompatibilities.

Since these changes overlap with a wide range of technologies, I'm
seeking review from the wider community, as represented by the above
address list -- please take a look if you can, particularly at
Section 3 [3] and Appendix C [4].

Thanks,

ht

[1] http://tools.ietf.org/html/rfc3023
[2] http://tools.ietf.org/html/draft-ietf-appsawg-xml-mediatypes-06
[3] http://tools.ietf.org/html/draft-ietf-appsawg-xml-mediatypes-06#section-3
[4] http://tools.ietf.org/html/draft-ietf-appsawg-xml-mediatypes-06#appendix-C
-- 
       Henry S. Thompson, School of Informatics, University of Edinburgh
      10 Crichton Street, Edinburgh EH8 9AB, SCOTLAND -- (44) 131 650-4440
                Fax: (44) 131 650-4587, e-mail: [email-masked]
                       URL: http://www.ltg.ed.ac.uk/~ht/
 [mail from me _always_ has a .sig like this -- mail without it is forged spam]